Open CASCADE Technology: QANewModTopOpe_Intersection Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
QANewModTopOpe_Intersection Class Reference

provides intersection of two shapes; More...

`#include <QANewModTopOpe_Intersection.hxx>`

Inheritance diagram for QANewModTopOpe_Intersection:
[legend]

## Public Member Functions
| QANewModTopOpe_Intersection (const TopoDS_Shape &theObject1, const TopoDS_Shape &theObject2)
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &theS)
| Returns the list of shapes generated from the shape <S>. More...
virtual Standard_Boolean | HasGenerated () const
| Returns true if there is at least one generated shape. For use in BRepNaming. More...
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &aS)
| Returns true if the shape S has been deleted. The result shape of the operation does not contain the shape S. More...
virtual Standard_Boolean | HasDeleted () const
| Returns true if there is at least one deleted shape. For use in BRepNaming. More...
Public Member Functions inherited from BRepAlgoAPI_BooleanOperation
const TopoDS_Shape & | Shape1 () const
| Returns the first argument involved in this Boolean operation. Obsolete. More...
const TopoDS_Shape & | Shape2 () const
| Returns the second argument involved in this Boolean operation. Obsolete. More...
void | SetTools (const TopTools_ListOfShape &theLS)
| Sets the tools. More...
const TopTools_ListOfShape & | Tools () const
| Gets the tools. More...
void | SetOperation (const BOPAlgo_Operation anOp)
| Sets the type of Boolean operation. More...
BOPAlgo_Operation | Operation () const
| Returns the type of Boolean Operation. More...
virtual | ~BRepAlgoAPI_BooleanOperation ()
virtual void | Build ()
| Performs the algorithm Filling interference Data Structure (if it is necessary) Building the result of the operation. More...
Standard_Boolean | BuilderCanWork () const
| Returns True if there was no errors occured obsolete. More...
Standard_Boolean | FuseEdges () const
| Returns the flag of edge refining. More...
void | RefineEdges ()
| Fuse C1 edges. More...
const TopTools_ListOfShape & | SectionEdges ()
| Returns a list of section edges. The edges represent the result of intersection between arguments of Boolean Operation. They are computed during operation execution. More...
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &aS)
| Returns the list of shapes modified from the shape <S>. More...
virtual Standard_Boolean | HasModified () const
| Returns true if there is at least one modified shape. For use in BRepNaming. More...
Public Member Functions inherited from BRepAlgoAPI_BuilderAlgo
| BRepAlgoAPI_BuilderAlgo ()
| Empty constructor. More...
virtual | ~BRepAlgoAPI_BuilderAlgo ()
| BRepAlgoAPI_BuilderAlgo (const BOPAlgo_PaveFiller &thePF)
| Empty constructor. More...
void | SetFuzzyValue (const Standard_Real theFuzz)
| Sets the additional tolerance. More...
Standard_Real | FuzzyValue () const
| Returns the additional tolerance. More...
void | SetArguments (const TopTools_ListOfShape &theLS)
| Sets the arguments. More...
const TopTools_ListOfShape & | Arguments () const
| Gets the arguments. More...
Public Member Functions inherited from BRepAlgoAPI_Algo
Standard_Integer | ErrorStatus () const
| Returns error status of the algorithm ==0 - no errors occured !=0 - is in the event of various error conditions. More...
Standard_Integer | WarningStatus () const
| Returns warning status of the algorithm ==0 - no warning occured !=0 - is in the event of various warning conditions. More...
const BOPCol_BaseAllocator & | Allocator () const
void | SetRunParallel (const Standard_Boolean theFlag)
| Set the flag of parallel processing if <theFlag> is true the parallel processing is switched on if <theFlag> is false the parallel processing is switched off. More...
Standard_Boolean | RunParallel () const
| Returns the flag of parallel processing. More...
void | SetProgressIndicator (const Handle< Message_ProgressIndicator > &theObj)
| Set the Progress Indicator object. More...
virtual const TopoDS_Shape & | Shape () const
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual void | Delete ()
virtual | ~BRepBuilderAPI_MakeShape ()
| operator TopoDS_Shape () const
Public Member Functions inherited from BRepBuilderAPI_Command
virtual | ~BRepBuilderAPI_Command ()
virtual Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Additional Inherited Members
Protected Member Functions inherited from BRepAlgoAPI_BooleanOperation
| BRepAlgoAPI_BooleanOperation ()
| Empty constructor. More...
| BRepAlgoAPI_BooleanOperation (const BOPAlgo_PaveFiller &PF)
| Empty constructor <PF> - PaveFiller object that is carried out. More...
| BRepAlgoAPI_BooleanOperation (const TopoDS_Shape &S1, const TopoDS_Shape &S2, const BOPAlgo_Operation anOperation)
| Constructor with two arguments <S1>, <S2> -arguments <anOperation> - the type of the operation Obsolete. More...
| BRepAlgoAPI_BooleanOperation (const TopoDS_Shape &S1, const TopoDS_Shape &S2, const BOPAlgo_PaveFiller &PF, const BOPAlgo_Operation anOperation)
| Constructor with two arguments <S1>, <S2> -arguments <anOperation> - the type of the operation <PF> - PaveFiller object that is carried out Obsolete. More...
virtual void | Clear ()
virtual void | SetAttributes ()
const TopTools_ListOfShape & | RefinedList (const TopTools_ListOfShape &theL)
| Returns the list of shapes generated from the shape <S>. For use in BRepNaming. More...
Protected Member Functions inherited from BRepAlgoAPI_Algo
| BRepAlgoAPI_Algo ()
| Empty constructor. More...
virtual | ~BRepAlgoAPI_Algo ()
| BRepAlgoAPI_Algo (const BOPCol_BaseAllocator &theAllocator)
| Empty constructor. More...
void | UserBreak () const
| Breaks the execution if the break signal is indicated by myProgressIndicator. More...
Protected Member Functions inherited from BRepBuilderAPI_MakeShape
| BRepBuilderAPI_MakeShape ()
Protected Member Functions inherited from BRepBuilderAPI_Command
| BRepBuilderAPI_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...
Protected Attributes inherited from BRepAlgoAPI_BooleanOperation
TopTools_ListOfShape | myTools
BOPAlgo_Operation | myOperation
Standard_Boolean | myBuilderCanWork
Protected Attributes inherited from BRepAlgoAPI_BuilderAlgo
Standard_Integer | myEntryType
BOPAlgo_PPaveFiller | myDSFiller
BOPAlgo_PBuilder | myBuilder
Standard_Real | myFuzzyValue
TopTools_ListOfShape | myArguments
Protected Attributes inherited from BRepAlgoAPI_Algo
BOPCol_BaseAllocator | myAllocator
Standard_Integer | myErrorStatus
Standard_Integer | myWarningStatus
Standard_Boolean | myRunParallel
Handle< Message_ProgressIndicator > | myProgressIndicator
Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenerated

## Detailed Description

provides intersection of two shapes;

## Constructor & Destructor Documentation

QANewModTopOpe_Intersection::QANewModTopOpe_Intersection | ( | const TopoDS_Shape & | theObject1,
|  | const TopoDS_Shape & | theObject2
| ) |  |

## Member Function Documentation

virtual const TopTools_ListOfShape& QANewModTopOpe_Intersection::Generated | ( | const TopoDS_Shape & | theS | ) |
| virtual

Returns the list of shapes generated from the shape <S>.

Reimplemented from BRepAlgoAPI_BooleanOperation.

virtual Standard_Boolean QANewModTopOpe_Intersection::HasDeleted | ( |  | ) | const
| virtual

Returns true if there is at least one deleted shape. For use in BRepNaming.

Reimplemented from BRepAlgoAPI_BooleanOperation.

virtual Standard_Boolean QANewModTopOpe_Intersection::HasGenerated | ( |  | ) | const
| virtual

Returns true if there is at least one generated shape. For use in BRepNaming.

Reimplemented from BRepAlgoAPI_BooleanOperation.

virtual Standard_Boolean QANewModTopOpe_Intersection::IsDeleted | ( | const TopoDS_Shape & | aS | ) |
| virtual

Returns true if the shape S has been deleted. The result shape of the operation does not contain the shape S.

Reimplemented from BRepAlgoAPI_BooleanOperation.

The documentation for this class was generated from the following file:

- QANewModTopOpe_Intersection.hxx